Project/src/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 *
 * @author takano
 */
public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {}

  // 全てのデータをセットするコンストラクタ
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdimn;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }
}

Project/src/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		 /**** ログインの有無確認 start ****/
	    HttpSession session = request.getSession();
	    User loginUser = (User) session.getAttribute("userInfo");

	    // ログイン情報がない場合
	    if (loginUser == null) {
	      // セッションがなかったらログイン画面へ
	      response.sendRedirect("LoginServlet");
	      return;
	    }
	    /**** ログインの有無確認 end ****/

	    // URLパラメータからidを取得
	    int id = Integer.valueOf(request.getParameter("id"));

	    // idに紐づくユーザー情報を取得
	    User user = new UserDao().findById(id); // 何度も使わないなら変数に展開する必要ない
	    request.setAttribute("user", user);

	    // 削除画面へ遷移
	    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
	    dispatcher.forward(request, response);
	    return;
	  }


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	    // idを取得
	    String id = request.getParameter("user-id");

	    UserDao dao = new UserDao();

	    // 削除処理
	    dao.delete(Integer.valueOf(id));
	    // ユーザー一覧へ遷移
	    response.sendRedirect("UserListServlet");
	    return;

	}

}

Project/src/controller/UserDetailServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.UserDao;
import model.User;

/** Servlet implementation class UserDetailServlet */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserDetailServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // URLからGETパラメータとしてIDを受け取る
    String id = request.getParameter("id");
    String password = request.getParameter("pass");

    // 確認用：idをコンソールに出力
    System.out.println(id);
    System.out.println(password);
    // TODO 未実装：idを引数にして、idに紐づくユーザ情報を出力する
    UserDao userDao = new UserDao();
    User user = userDao.findByLoginInfo(id, password);
    request.setAttribute("userdetail", user);
    // TODO 未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
    dispatcher.forward(request, response);
    return;

  }
}

Project/src/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.UserDao;
import model.User;

/** Servlet implementation class UserListServlet */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserListServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO 未実装：ログインセッションがない場合、ログイン画面にリダイレクトさせる

    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
  }

  /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
	  // リクエストパラメータの文字コードを指定
	    request.setCharacterEncoding("UTF-8");

	    UserDao userDao = new UserDao();

	    // 検索条件取得
	    String loginId = request.getParameter("user-loginid");
	    String name = request.getParameter("user-name");
	    String startDate = request.getParameter("date-start");
	    String endDate = request.getParameter("date-end");

	    // 検索処理
	    List<User> userList = userDao.search(loginId, name, startDate, endDate);

	    // リクエストスコープにユーザ一覧情報をセット
	    request.setAttribute("userList", userList);
	    request.setAttribute("loginId", loginId);
	    request.setAttribute("name", name);
	    request.setAttribute("startDate", startDate);
	    request.setAttribute("endDate", endDate);

	    // ユーザ一覧画面へ
	    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
	    dispatcher.forward(request, response);

  }
}

Project/src/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	    /**** ログインの有無確認 start ****/
	    HttpSession session = request.getSession();
	    User loginUser = (User) session.getAttribute("userInfo");

	    // ログイン情報がない場合
	    if (loginUser == null) {
	      // セッションがなかったらログイン画面へ
	      response.sendRedirect("LoginServlet");
	      return;
	    }
	    /**** ログインの有無確認 end ****/

	    // URLパラメータからidを取得
	    int id = Integer.valueOf(request.getParameter("id"));

	    UserDao dao = new UserDao();

	    // 取得したIDに紐づく情報を取得
	    User user = dao.findById(id);

	    // 更新画面に表示する情報
	    request.setAttribute("user", user);

	    // 更新画面へ
	    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
	    dispatcher.forward(request, response);
	    return;

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		// リクエストパラメータの文字コードを指定(文字列取得のため)
		 request.setCharacterEncoding("UTF-8");

	    User user = new User();
	    UserDao userDao = new UserDao();

	    int id = Integer.valueOf(request.getParameter("user-id")); // これをキーにして更新する、loginIdはやや信頼に劣る
	    // 更新画面に入力された情報を取得
	    String loginId = request.getParameter("user-loginid");
	    String password = request.getParameter("password");
	    String confirmPassword = request.getParameter("password-confirm");
	    String name = request.getParameter("user-name");
	    String birthdateStr = request.getParameter("birth-date");
	    // 生年月日をStringからDateへ変換
	    Date birthdate = birthdateStr.equals("") ? null : Date.valueOf(birthdateStr);


	    /**** ユーザー名、生年月日が空欄、passwordが間違っている場合 ****/
	    if (name.equals("") || birthdate == null || !password.equals(confirmPassword)) {
	      // エラーメッセージと更新画面へ表示する情報をセットする
	      request.setAttribute("errMsg", "入力された内容は正しくありません");

	      // 入力した値を再度表示するために値をセットする
	      user.setId(id);
	      user.setLoginId(loginId);
	      user.setName(name);
	      user.setBirthDate(birthdate);

	      request.setAttribute("user", user);

	      // 更新画面へ
	      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
	      dispatcher.forward(request, response);
	      return;
	    }

	    /**** password更新なしの場合 ****/
	    if (password.equals("") && confirmPassword.equals("")) {

	      userDao.updateExcludePassword(id, name, birthdate);

	      /**** password 更新ありの場合 ****/
	    } else {
	      // パスワードを暗号化
//	      String encordedPassword = PasswordEncorder.encordPassword(password);
	      // 更新処理
	      userDao.update(id, name, password, birthdate);
	    }

	    // 更新画面へ遷移
	    response.sendRedirect("UserListServlet");

	}

}

Project/WebContent/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">ログインユーザの名前を表示 さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="userLogin.html">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<div class="alert alert-danger" role="alert">エラーがある場合のメッセージサンプル</div>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
			<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
					<div class="row">
						<div class="col">
							<div class="alert alert-danger" role="alert">${errMsg}</div>
						</div>
					</div>
				</c:if>
				<!--エラー処理 end  -->
				<form method="post" action="UserAdd">
			
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${inputloginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>




</body>

</html>

Project/WebContent/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>contour
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">ログインユーザの名前を表示 さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： id0001</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
						<form action="UserDeleteServlet" method="post">
							<input type="hidden" name="user-id" value="${user.id}">
							<button type="submit" class="btn btn-primary btn-block">
								はい</button>
						</form>

					</div>
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/WebContent/WEB-INF/jsp/userDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja"></html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ詳細 画面</title>
<!-- BootstrapのCSS読み込み -->
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">ログインユーザの名前を表示 さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>

	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ情報詳細参照</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">

				<div class="row">
					<label for="loginId" class="col-3 font-weight-bold">ログインID</label>
					<div class="col-9">
						<p>id0001</p>
					</div>
				</div>

				<div class="row">
					<label for="userName" class="col-3 font-weight-bold">ユーザ名</label>
					<div class="col-9">
						<p>田中太郎</p>
					</div>
				</div>

				<div class="row">
					<label for="birthDate" class="col-3 font-weight-bold">生年月日</label>
					<div class="col-9">
						<p> 2000年 01月 01日</p>
					</div>
				</div>

				<div class="row">
					<label for="createDate" class="col-3 font-weight-bold">新規登録日時</label>
					<div class="col-9">
						<p> 2000年 01月 01日 23:30</p>
					</div>
				</div>

				<div class="row">
					<label for="updateDate" class="col-3 font-weight-bold">更新日時</label>
					<div class="col-9">
						<p> 2000年 01月 01日 23:30</p>
					</div>
				</div>


				<div class="col-xs-4">
					<a href="userList.html">戻る</a>
				</div>
			</div>


		</div>
	</div>
</body>

</html>

Project/WebContent/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ一覧画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>
	<!-- header -->
	<header>
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
			<div class="container">
				<a class="navbar-brand" href="UserListServlet">ユーザ管理システム</a>

				<div class="collapse navbar-collapse">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><span class="navbar-text">
								${userInfo.name}</span><span class="navbar-text">さん</span></li>
						<li class="nav-item"><a class="nav-link text-danger"
							href="LogoutServlet">ログアウト</a></li>
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row mb-3">
			<div class="col text-right">
				<a href="UserAdd">新規登録</a>
			</div>
		</div>

		<div class="card">
			<div class="card-header">
				<h5>検索条件</h5>
			</div>
			<div class="card-body">

				<form action="UserListServlet" method="post">
					<div class="form-group row">
						<label for="code" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="login-id"
								class="form-control" value="${loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${userName}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>
						<div class="col-9">
							<div class="row">
								<div class="col-5">
									<input type="date" name="date-start" id="start-date"
										class="form-control" size="30" value="${startDate}">
								</div>
								<div class="col-2 text-center">~</div>
								<div class="col-5">
									<input type="date" name="date-end" id="end-date"
										class="form-control" value="${endDate}">
								</div>
							</div>
						</div>
					</div>
					<div class="form-group row">
						<div class="col text-right">
							<button type="submit" value="検索"
								class="btn btn-primary form-submit">検索</button>
						</div>
					</div>
				</form>
			</div>

			<table class="table table-striped">
				<thead>
					<tr>
						<th>ログインID</th>
						<th>ユーザ名</th>
						<th>生年月日</th>
						<th></th>
					</tr>
				</thead>
				<tbody>　
					<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
							<!-- TODO 未実装；ログインボタンの表示制御を行う -->
							<td class="float-right"><a class="btn btn-primary"
								href="UserDetailServlet?id=${user.id}">詳細</a>
								<c:if test="${userInfo.admin or user.loginId == userInfo.loginId}">
											<a class="btn btn-success"href="UserUpdateServlet?id=${user.id}">更新</a>
								</c:if>

								<c:if test="${userInfo.admin}">
									<a class="btn btn-danger"
										href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if></td>

						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>
	</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userLogin.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<html lang="ja">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ログイン画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark mb-3">
			<div class="container">
				<div class="navbar-header">
					<a class="navbar-brand" href="LoginServlet">ユーザ管理システム</a>
				</div>

			</div>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container login-container">

		<div class="row">
			<div class="col-6 offset-3">
				<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラー処理 end  -->

				<form action="LoginServlet" method="post">
					<div class="form-group row">
						<label for="inputLoginId" class="col-3 col-form-label">ログインID</label>
						<div class="col-9">
							<input type="text" name="loginid" id="inputLoginId"
								class="form-control" value="${loginId}" autofocus>
						</div>
					</div>

					<div class="form-group row">
						<label for="inputPassword" class="col-3 col-form-label">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="inputPassword"
								class="form-control" autofocus>
						</div>
					</div>

					<button class="btn btn-lg btn-primary btn-block" type="submit">ログイン</button>
				</form>
			</div>
		</div>
		<!-- /card-container -->
	</div>
	<!-- /container -->


</body>
</html>